Skip to content
Follow yggy on LinkedInFollow @yggy_tech on X

List running workflows for the current org

GET
/api/v1/workflows/running
curl --request GET \
--url 'https://api.yggy.tech/api/v1/workflows/running?limit=50' \
--header 'Authorization: Bearer <token>'
limit
number
default: 50 >= 1 <= 100
host
string | null
x-yggy-organization-id
string | null

Running workflows

Media type application/json
object
workflows
required
Array<object>
object
documentId
required
string
title
required
string
invocationId
required
string | null
status
required
string | null
Allowed values: pending scheduled ready running paused backing-off suspended completed failed cancelled
step
required
string | null
progress
required
number
createdAt
required
string
updatedAt
required
string
ownerId
required
string | null
workflowType
string
default: extraction
Allowed values: extraction purge
isCancellable
boolean
total
required
number
Example
{
"workflows": [
{
"status": "pending",
"workflowType": "extraction",
"isCancellable": false
}
]
}